package de.hsbo.fbv.bmg.topology.algorithms.demos;

import de.hsbo.fbv.bmg.topology.algorithms.Algorithms;
import de.hsbo.fbv.bmg.topology.networks.Network1T;

import de.hsbo.fbv.bmg.topology.networks.impl.SimpleElement;

public class BreadthFirstSearchDemo0 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Network1T<String, String> nrw = SimpleNetworkFactory.citiesNRW();
		SimpleElement.setPrintoptions(SimpleElement.WEIGHT);
		System.out.println("Stdteverbindungen NRW:");
		System.out.println(nrw);
		Network1T<String, String> bfsNrw0 = Algorithms.runBreadthFirstSearch(nrw, "AC");
		System.out.println("Ergebnis des Beadth-First-Search-Algorithmus:");
		System.out.println(bfsNrw0);
		Network1T<String, String> bfsNrw1 = Algorithms.runDijkstra(nrw, "AC");
		System.out.println("Ergebnis der Suche nach krzesten Wegen (Dijkstra-Algorithmus):");
		System.out.println(bfsNrw1);
	}

}
