package de.hsbo.fbv.bmg.topology.algorithms.demos;

import de.hsbo.fbv.bmg.geometry.simple.CoordinateM;
import de.hsbo.fbv.bmg.geometry.simple.GPoint;


public class Place extends GPoint {
	
	// Attribute
	boolean longString = false;
	String name = null;

	public Place(String name, CoordinateM cm) throws Exception {
		super(cm);
		this.name = name;
	}

	@Override
	public String toString() {
		if(longString==true)
			return "Place[" + name + "," + super.asText() + "]";
		else
			return name;
	}

}
