package de.hsbo.fbv.bmg.topology.algorithms.demos;

import de.hsbo.fbv.bmg.geometry.simple.GLine;



public class Way extends GLine {
	
	// Attribut
	String name;
	Place start, end;

	public Way(Place start, Place end) throws Exception {
		super(start, end);
		this.start = start;
		this.end = end;
		this.name = start.name+"-"+end.name;
	}

	@Override
	public String toString() {
		return "Way[" + name + "," + super.length() + "]";
	}

	public Place getStart() {
		return start;
	}

	public Place getEnd() {
		return end;
	}
	

}
